From ca71bd7e1e5d391c8e028a8e92a69cf3bca0806a Mon Sep 17 00:00:00 2001
From: Dima Kogan <dima@secretsauce.net>
Date: Fri, 28 Nov 2014 21:54:51 -0800
Subject: [PATCH 02/10] added DEB_CROSS_NO_BIARCH option to disable biarch
 support

---
 debian/rules.defs | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/debian/rules.defs b/debian/rules.defs
index bbe6320..f83e22a 100644
--- a/debian/rules.defs
+++ b/debian/rules.defs
@@ -1811,7 +1811,9 @@ export biarch_multidir_names
 #ifeq ($(trunk_build),yes)
 #  no_biarch_libs := yes
 #endif
-no_biarch_libs :=
+ifdef DEB_CROSS_NO_BIARCH
+  no_biarch_libs := yes
+endif
 
 ifeq ($(no_biarch_libs),yes)
   with_lib64gcc		:= no
@@ -1961,6 +1963,15 @@ ifeq ($(no_biarch_libs),yes)
   with_libsfphobosdev	:= no
   with_libsfhsailrtdev	:= no
 
+  ifdef DEB_CROSS_NO_BIARCH
+    biarch64   	:= disabled by DEB_CROSS_NO_BIARCH
+    biarch32 	:= disabled by DEB_CROSS_NO_BIARCH
+    biarchn32 	:= disabled by DEB_CROSS_NO_BIARCH
+    biarchx32	:= disabled by DEB_CROSS_NO_BIARCH
+    biarchhf 	:= disabled by DEB_CROSS_NO_BIARCH
+    biarchsf 	:= disabled by DEB_CROSS_NO_BIARCH
+  endif
+
   ifeq ($(with_ada)-$(with_separate_gnat),yes-yes)
     biarchhf	:= disabled for Ada
     biarchsf	:= disabled for Ada
-- 
2.17.1

